Bug 136291 - lspci ends with "Cannot open /proc/bus/pci/70/1d.0"
Summary: lspci ends with "Cannot open /proc/bus/pci/70/1d.0"
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel   
(Show other bugs)
Version: 3.0
Hardware: ia64
OS: Linux
medium
high
Target Milestone: ---
Assignee: Anil S Keshavamurthy
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-10-19 07:49 UTC by Robert Scheck
Modified: 2007-11-30 22:07 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 19:15:46 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
strace of lspci (2.44 KB, text/plain)
2004-10-19 07:53 UTC, Robert Scheck
no flags Details
'cat /proc/bus/pci/devices' output (12.79 KB, text/plain)
2004-10-19 07:55 UTC, Robert Scheck
no flags Details

Description Robert Scheck 2004-10-19 07:49:01 UTC
Description of problem:
I'm running always into the following problem using Red Hat 
Enterprise Linux 3 Update 3 at a Itanium 2 (IA64) machine, to be 
exact it's a HP Integrity rx 7620 server:

--- snipp ---
[root@rhel3 root]# lspci
pcilib: Cannot open /proc/bus/pci/70/1d.0
lspci: Unable to read 64 bytes of configuration space.
[root@rhel3 root]#
--- snapp ---

Other information about the system which are maybe usefull:

--- snipp ---
[root@rhel3 root]# ls -la /proc/bus/pci/70/*
-rw-r--r--    1 root     root          256 Oct 19 07:44 /proc/bus/pci/70/01.0
[root@rhel3 root]#
[root@rhel3 root]# rpm -q hwdata pciutils kernel --qf '%{name}-%{version}-%{release}.%{arch}\n'
hwdata-0.101.12-1.noarch
pciutils-2.1.10-7.ia64
kernel-2.4.21-20.EL.ia64
[root@rhel3 root]#
--- snapp ---

Version-Release number of selected component (if applicable):
pciutils-2.1.10-7

How reproducible:
Everytime, see below.

Steps to Reproduce:
1. lspci
  or:
2. lspci -vvv
  and:
3. Get the error.
  
Actual results:
No really usable lspci output.

Expected results:
Usable lspci output as normally given.

Comment 1 Robert Scheck 2004-10-19 07:53:11 UTC
Created attachment 105424 [details]
strace of lspci

Comment 2 Robert Scheck 2004-10-19 07:55:52 UTC
Created attachment 105425 [details]
'cat /proc/bus/pci/devices' output

Comment 3 Bill Nottingham 2004-10-20 02:13:05 UTC
Kernel appears to have an inconsistent view of the pci space.

Comment 4 Robert Scheck 2004-11-06 16:14:08 UTC
Oh btw, we also have the same problem at a HP-Superdome Itanium 2 
(IA64)...and this is very annoying.

Comment 5 Robert Scheck 2004-11-18 13:40:13 UTC
Ping?

Comment 6 Jason Baron 2004-11-19 20:17:49 UTC
sorry, haven't had a chance to look at this...do you know if this was
working on Update 2?

Comment 7 RHEL Product and Program Management 2007-10-19 19:15:46 UTC
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.


Note You need to log in before you can comment on or make changes to this bug.